CHIPCARD-TOOL(1)

NAME
chipcard-tool - a commandline client to access smart cards via libchipcard

SYNOPSIS
chipcard-tool list|check|atr|monitor [-CFILE] [--configfile=FILE] [-fFILE] [--file=FILE] [--logtype=TYPE] [--loglevel=LEVEL] [--logfile=FILE] [-v] [--verbous] [-a] [--showall] [-tTIMEOUT] [--timeout=TIMEOUT] [--readers] [--drivers] [--services] [--start-all] [-h] [--help]

DESCRIPTION
chipcard-tool is a command line client for libchipcard for testing the setup.

ARGUMENTS

list
    List configured readers.

check
    Check the specified reader.

atr Execute ATR on the specified reader.

monitor
    Monitor communication between server and clients.

OPTIONS

-C FILE | --configfile=FILE
    Configuration file to load.

-f FILE | --file=FILE
    This filename is used when reading or writing data such as public keys, bank information etc.

--logtype=TYPE
    Set the logtype (console, file).

--loglevel=LEVEL
    Set the log level (info, notice, warning, error).

--logfile=FILE
    Set the log file (if log type is "file").

-v | --verbous
    Every occurrence of this option increases the verbosity.

-a | --showall
    Show event log for drivers and readers.

-t TIMEOUT | --timeout=TIMEOUT
    Set the total timeout for check command.

--readers
    Show readers.

--drivers
    Show drivers.

--services
    Show services.

--start-all
    Start all readers when monitoring server

-h | --help
    Shows help.

ENVIRONMENT

FILES

/etc/chipcard/
    The system-wide configuration files.

/var/log/chipcard/
    The default log files.

SEE ALSO

http://www.libchipcard.de
    Homepage of libchipcard project.

/usr/share/doc/libchipcard-tools/
    Local documentation

BUGS

REVISION